Update an invoice
Updates a specific invoice. The following tutorials demonstrate how to use this operation:
- <a href=“https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Bill_for_both_subscription_and_non-subscription_transactions/Unified_Invoicing/D_Add_and_delete_invoice_items_of_draft_standalone_invoices” target=“_blank”>Add and delete invoice items of draft standalone invoices</a>
- <a href=“https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Bill_for_both_subscription_and_non-subscription_transactions/Unified_Invoicing/Edit_due_dates_of_draft_standalone_invoices” target=“_blank”>Edit due dates of draft standalone invoices</a>
- <a href=“https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Bill_for_both_subscription_and_non-subscription_transactions/Unified_Invoicing/Edit_invoice_item_prices_and_custom_fields_of_draft_standalone_invoices” target=“_blank”>Edit invoice item prices and custom fields of draft standalone invoices</a>
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
The ID or number of the invoice. For example, 2c92c8955bd63cc1015bd7c151af02ab or INV-0000001.
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
The minor API version.
For a list of available minor versions, see API upgrades.
Request
The new invoice date of the invoice. The new invoice date cannot fall in a closed accounting period.
You can only specify invoiceDate or dueDate in one request. Otherwise, an error occurs.
The ID of the invoice template associated with the invoice.
Note: This field is only available if you have the Flexible Billing Attributes feature enabled.
ID of the corresponding object in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Status of the invoice’s synchronization with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Date when the invoice was synchronized with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
Response
The date and time when the invoice was cancelled, in yyyy-mm-dd hh:mm:ss format.
The date and time when the invoice was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-01 15:31:10.
Note: This filed is only available if you have the Credit Balance feature enabled and the Invoice Settlement feature disabled. The currency amount of the adjustment applied to the customer’s credit balance.
A currency defined in the web-based UI administrative settings.
The date and time when the invoice was posted, in yyyy-mm-dd hh:mm:ss format.
The status of the invoice.
Note:
-
The
Splitstatus is applicable only when you use Split Invoice feature. -
When an invoice is split, its status changes from
DrafttoSplit, and the newly created invoices retain a reference to the original invoice.
Returns true if the request was processed successfully.
The target date for the invoice, in yyyy-mm-dd format. For example, 2017-07-20.
The date and time when the invoice was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2017-03-02 15:36:10.
ID of the corresponding object in NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Status of the invoice’s synchronization with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.
Date when the invoice was synchronized with NetSuite. Only available if you have installed the Zuora Connector for NetSuite.